This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 962495 - Mate-terminal crashes if system http_proxy is set
Mate-terminal crashes if system http_proxy is set
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-terminal (Show other bugs)
18
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 12:47 EDT by D. Wagner
Modified: 2013-07-08 21:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: mate-terminal-1.6.1-8.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 21:33:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Wagner 2013-05-13 12:47:24 EDT
Description of problem:

If you have a system-wide proxy, mate-terminal crashes when it is launched.

Version-Release number of selected component (if applicable):

mate-terminal-1.5.1-1.fc18.x86_64
mate-desktop-1.5.8-1.fc18.x86_64

Also has been confirmed to affect Mate Desktop 1.5.7 (Fedora 18) and Mate Desktop 1.5.8 (Fedora 18) on both x86_64 and i686.

How reproducible:

100% reproducible

Steps to Reproduce:
1. Go to System >> Preferences >> Network Proxy and set a system-wide HTTP proxy
2. Launch mate-terminal
3. Observe that it crashes immediately upon launch


Additional info:

This bug was originally reported on February 5th through abrt in bug #907747.  However, that bug entry was incorrectly closed as "cannot repro".  Now many others are reporting and confirming the same bug, but abrt is sending their reports to the closed bug #907747, which no one appears to be monitoring, and none of us have the permissions to re-open that bug.  Therefore, I am opening this new bug entry so someone will notice.

For detailed information, including clean backtraces (with debugging symbols enabled) and multiple people demonstrating that they can repro the bug, see bug #907747.

PLEASE DO NOT CLOSE THIS BUG AS A DUPLICATE UNLESS YOU ALSO RE-OPEN BUG #907747
Comment 1 Wolfgang Ulbrich 2013-05-14 04:57:40 EDT
I can confirm that mate-terminal use gesttings keys from gnome.

[rave@mother github-matedesktop]$ grep -r -i "org.gnome.system.proxy.http" mate-terminal/
mate-terminal/src/terminal-util.h:#define CONF_HTTP_PROXY_SCHEMA "org.gnome.system.proxy.http"
mate-terminal/src/terminal-util.h:#define CONF_HTTPS_PROXY_SCHEMA "org.gnome.system.proxy.https"

org.gnome.system.proxy.http is part of org.gnome.system.proxy.gschema.xml.

But grep -i "use-http-proxy" org.gnome.system.proxy.gschema.xml gives me no output, seems that the key use-http-proxy is removed.

A this point i'm still wondering why all former system network mate-conf keys from obsolete mat-vfs weren't moved to mate-desktop, and mate use stuff from gnome.
On a system whithout gnome installed will this cause the issue.

For me this is an upstream bug and i recommend to reopen BUG #907747
Comment 2 Stefano Karapetsas 2013-05-16 14:46:53 EDT
This is already fixed upstream:
http://git.mate-desktop.org/mate-terminal/commit/?id=14885e3eee9f3b7b6611e50ef92a87a7e36f469a
Comment 3 Stefano Karapetsas 2013-05-16 14:48:52 EDT
Wolgang, now MATE uses same GNOME proxy settings to have a better proxy support from all applications.
Example: https://code.google.com/p/libproxy/issues/detail?id=186
Comment 4 Fedora Update System 2013-06-29 13:11:03 EDT
mate-terminal-1.6.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-terminal-1.6.1-8.fc18
Comment 5 Fedora Update System 2013-06-30 21:36:12 EDT
Package mate-terminal-1.6.1-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-terminal-1.6.1-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11982/mate-terminal-1.6.1-8.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-08 21:33:34 EDT
mate-terminal-1.6.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.